# QDomImplementation Class Reference

### [com.trolltech.qt.xml package]

### Constructor

- void QDomImplementation()
- void QDomImplementation(QDomImplementation arg__1)

### Constructor Properties

- prototype: The QDomImplementation prototype object
- InvalidDataPolicy invalidDataPolicy()
- void setInvalidDataPolicy(InvalidDataPolicy policy)
- AcceptInvalidChars = 0
- DropInvalidChars
- ReturnNullNode
- InvalidDataPolicy( value )

### Prototype Object Properties

- QDomDocument createDocument(String nsURI, String qName, QDomDocumentType doctype)
- QDomDocumentType createDocumentType(String qName, String publicId, String systemId)
- bool hasFeature(String feature, String version)
- bool isNull()
- bool operator_equal(QDomImplementation arg__1)

### Instance Properties

QDomImplementation objects have no special properties beyond those inherited from the QDomImplementation prototype object.